require 'test_helper'

class FactValueTest < ActiveSupport::TestCase
  def setup
    @host = hosts(:one)
    @fact_name  = FactName.create(:name => "my_facting_name")
    @fact_value = FactValue.create(:value => "some value", :host => @host, :fact_name => @fact_name)
  end

  test "should return the count of each fact" do
    h = [{:label=>"some value", :data=>1}]
    assert_equal h, FactValue.count_each("my_facting_name")

    #Now creating a new fact value
    @other_host = hosts(:two)
    other_fact_value = FactValue.create(:value => "some value", :host => @other_host, :fact_name => @fact_name)
    h = [{:label=>"some value", :data=>2}]
    assert_equal h, FactValue.count_each("my_facting_name")
  end

  test "should fail validation when the host already has a fact with the same name" do
    assert !FactValue.new(:value => "some value", :host => @host, :fact_name => @fact_name).valid?
  end
end

